<!--
 - Created by MarosGrajcar on 11/29/2019.
 -->

<!-- Eqt Transfer Create Read Update -->
<template>
    <template if:true={loading}>
        <lightning-spinner class="slds-is-relative slds-align--absolute-center slds-p-around--small"
                           alternative-text="Loading" size="medium"></lightning-spinner>
    </template>

    <template if:false={loading}>

        <template if:true={isNewForm}>

            <!-- EQUIPMENT SELECTION -->
            <div class="slds-text-title_caps slds-section slds-p-around--small" style="background-color:#f5f5f5"><b>Selected
                Equipments</b></div>
            <div class="slds-p-around--small slds-align--absolute-center">
                <lightning-button label="Add Equipment" onclick={openEquipmentList}></lightning-button>
            </div>

            <div if:true={selectedEquipment} class="slds-p-top--small slds-p-bottom--small slds-scrollable">
                <table class="slds-table slds-table_bordered slds-table_cell-buffer slds-no-row-hover">
                    <thead>
                    <tr class="slds-text-title_caps">
                        <th scope="col">
                        </th>
                        <th scope="col">
                            Equipment
                        </th>
                        <th scope="col">
                            FLOC
                        </th>
                        <th scope="col">
                            Description
                        </th>
                        <th scope="col">
                            Manufacturer
                        </th>
                        <th scope="col">
                            Model Number
                        </th>
                        <th scope="col">
                            Manufacturer Serial No
                        </th>
                        <th scope="col">
                            Tag Number
                        </th>

                        <th scope="col">
                            Tag Colour
                        </th>

                        <th scope="col">
                            File/Attachment
                        </th>

                    </tr>
                    </thead>

                    <tbody>

                    <template for:each={equipmentForTransfer} for:item="selectedEquipment" for:index="index">
                        <tr class="slds-hint-parent" key={selectedEquipment.equipment.Id}>

                            <th scope="row">
                                <lightning-button-icon icon-name="utility:close"
                                                       data-id={selectedEquipment.equipment.Id}
                                                       size="small"
                                                       onclick={removeSelectedEquipment}>
                                </lightning-button-icon>
                            </th>

                            <td>
                                <a onclick={redirectToRecordPage}
                                   data-id={selectedEquipment.equipment.Id}
                                   data-apiname="Equipment__c">
                                    {selectedEquipment.equipment.Name}</a>
                            </td>

                            <td>
                                <template if:true={selectedEquipment.equipment.Location__r}>
                                    <a onclick={redirectToRecordPage}
                                       data-id={selectedEquipment.equipment.Location__r.Id}
                                       data-apiname="Location__c">
                                        {selectedEquipment.equipment.Location__r.Name}</a>
                                </template>
                                <template if:true={selectedEquipment.equipment.Facility__r}>
                                    <a onclick={redirectToRecordPage}
                                       data-id={selectedEquipment.equipment.Facility__r.Id}
                                       data-apiname="Facility__c">
                                        {selectedEquipment.equipment.Facility__r.Name}</a>
                                </template>
                                <template if:true={selectedEquipment.equipment.Well_Event__r}>
                                    <a onclick={redirectToRecordPage}
                                       data-id={selectedEquipment.equipment.Well_Event__r.Id}
                                       data-apiname="Well_Event__c">
                                        {selectedEquipment.equipment.Well_Event__r.Name}</a>
                                </template>
                                <template if:true={selectedEquipment.equipment.Functional_Equipment_Level__r}>
                                    <a onclick={redirectToRecordPage}
                                       data-id={selectedEquipment.equipment.Functional_Equipment_Level__r.Id}
                                       data-apiname="Functional_Equipment_Level__c">
                                        {selectedEquipment.equipment.Functional_Equipment_Level__r.Name}</a>
                                </template>
                                <template if:true={selectedEquipment.equipment.Yard__r}>
                                    <a onclick={redirectToRecordPage}
                                       data-id={selectedEquipment.equipment.Yard__r.Id}
                                       data-apiname="Yard__c">
                                        {selectedEquipment.equipment.Yard__r.Name}</a>
                                </template>
                                <template if:true={selectedEquipment.equipment.System__r}>
                                    <a onclick={redirectToRecordPage}
                                       data-id={selectedEquipment.equipment.System__r.Id}
                                       data-apiname="System__c">
                                        {selectedEquipment.equipment.System__r.Name}</a>
                                </template>
                                <template if:true={selectedEquipment.equipment.Sub_System__r}>
                                    <a onclick={redirectToRecordPage}
                                       data-id={selectedEquipment.equipment.Sub_System__r.Id}
                                       data-apiname="Sub_System__c">
                                        {selectedEquipment.equipment.Sub_System__r.Name}</a>
                                </template>
                            </td>

                            <td>
                                {selectedEquipment.equipment.Description_of_Equipment__c}
                            </td>

                            <td>
                                {selectedEquipment.equipment.Manufacturer__c}
                            </td>

                            <td>
                                {selectedEquipment.equipment.Model_Number__c}
                            </td>

                            <td>
                                {selectedEquipment.equipment.Manufacturer_Serial_No__c}
                            </td>

                            <td>
                                {selectedEquipment.equipment.Tag_Number__c}
                            </td>

                            <td>
                                <lightning-combobox
                                        data-id={selectedEquipment.equipment.Id}
                                        data-index={index}
                                        label=""
                                        value={selectedEquipment.equipment.tagColour}
                                        onchange={handleTagColour}
                                        options={tagColourOptions}
                                        placeholder="--None--"
                                        required>
                                </lightning-combobox>
                            </td>

                            <td>
                                <lightning-input
                                        data-id={selectedEquipment.equipment.Id}
                                        data-index={index}
                                        type="file"
                                        label=""
                                        onchange={handleFileUpload}>
                                </lightning-input>
                                <template if:true={selectedEquipment.itemFile.fileName}>
                                    <p>{selectedEquipment.itemFile.fileName}</p>
                                </template>
                            </td>

                        </tr>
                    </template>
                    </tbody>

                </table>

            </div>

            <!--INFORMATION-->
            <c-eqt_transfer_information-section floc-id={flockId}
                                                expiration-date={expirationDate}
                                                is-new-form={isNewForm}
                                                is-view={isNewForm}
                                                is-user-admin={isUserAdmin}
                                                is-from-form={isFromForm}
                                                from-floc-id={fromFlocId}
                                                floc-name={flocName}
                                                to-floc-id={toFlocId}
                                                to-a-p-i-name={flocAPIName}>
            </c-eqt_transfer_information-section>

            <!--COMMENTS-->
            <c-eqt_comments-section is-user-admin={isUserAdmin} is-new-form={isNewForm}></c-eqt_comments-section>

        </template>

        <template if:false={isNewForm}>
            <template if:true={transferForm}>
                <div class="slds-grid slds-wrap slds-card slds-p-around--small slds-m-bottom--small slds-show_medium">
                    <span class="slds-size--6-of-12">
                        <lightning-icon icon-name="custom:custom19"></lightning-icon>
                        <span class="slds-text-title_caps slds-p-left--x-small">
                            <b>Equipment Transfer Form</b> {transferForm.Name}
                        </span>
                    </span>


                    <template if:true={isView}>
                    <span if:false={formClosed} class="slds-size--6-of-12 slds-text-align--right slds-p-left--x-small">
                        <lightning-button label="Edit"
                                          variant="brand"
                                          onclick={editView}>
                        </lightning-button>

                        <lightning-button if:true={isUserAdmin}
                                          class="slds-p-right--x-small slds-p-left--x-small"
                                          label="Processed"
                                          variant="success"
                                          onclick={formProcessed}>
                        </lightning-button>

                        <lightning-button if:true={isUserAdmin}
                                          label="Reject"
                                          variant="destructive"
                                          onclick={formRejectModal}>
                        </lightning-button>
                    </span>
                    </template>

                </div>

                <!--SMALL DEVICES-->
                <div class="slds-card slds-p-around--small slds-hide_medium">
                    <lightning-icon class="slds-float--left" icon-name="custom:custom19"></lightning-icon>
                    <lightning-button if:true={isView}
                                      class="slds-float--right"
                                      label="Edit"
                                      variant="brand"
                                      onclick={editView}>
                    </lightning-button>
                    <div class="slds-text-title_caps">
                        <b>Equipment Transfer Form</b>
                        <p>{transferForm.Name}</p>
                    </div>
                </div>

                <div style="background-color:white">
                    <template if:true={isView}>

                        <!-- INFORMATION -->
                        <div class="slds-text-title_caps slds-section slds-p-around--small"
                             style="background-color:#f5f5f5"><b>Selected
                            Equipments</b>
                        </div>

                        <div if:true={selectedEquipment} class="slds-p-top--small slds-p-bottom--small slds-scrollable">
                            <table class="slds-table slds-table_bordered slds-table_cell-buffer slds-no-row-hover">
                                <thead>
                                <tr class="slds-text-title_caps">
                                    <th scope="col">
                                        Equipment
                                    </th>
                                    <th scope="col">
                                        FLOC
                                    </th>
                                    <th scope="col">
                                        Description
                                    </th>
                                    <th scope="col">
                                        Manufacturer
                                    </th>
                                    <th scope="col">
                                        Model Number
                                    </th>
                                    <th scope="col">
                                        Manufacturer Serial No
                                    </th>
                                    <th scope="col">
                                        Tag Number
                                    </th>

                                    <th scope="col">
                                        Tag Colour
                                    </th>

                                    <th scope="col">
                                        File/Attachment
                                    </th>

                                </tr>
                                </thead>

                                <tbody>

                                <template for:each={selectedEquipment} for:item="equipmentItem">
                                    <tr class="slds-hint-parent" key={equipmentItem.item.Equipment__r.Id}>

                                        <th scope="row">
                                            <a onclick={redirectToRecordPage}
                                               data-id={equipmentItem.item.Equipment__r.Id}
                                               data-apiname="Equipment__c">
                                                {equipmentItem.item.Equipment__r.Name}</a>
                                        </th>

                                        <td>
                                            <template if:true={equipmentItem.item.Equipment__r.Location__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Location__r.Id}
                                                   data-apiname="Location__c">
                                                    {equipmentItem.item.Equipment__r.Location__r.Name}</a>
                                            </template>
                                            <template if:true={equipmentItem.item.Equipment__r.Facility__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Facility__r.Id}
                                                   data-apiname="Facility__c">
                                                    {equipmentItem.item.Equipment__r.Facility__r.Name}</a>
                                            </template>
                                            <template if:true={equipmentItem.item.Equipment__r.Well_Event__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Well_Event__r.Id}
                                                   data-apiname="Well_Event__c">
                                                    {equipmentItem.item.Equipment__r.Well_Event__r.Name}</a>
                                            </template>
                                            <template
                                                    if:true={equipmentItem.item.Equipment__r.Functional_Equipment_Level__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Functional_Equipment_Level__r.Id}
                                                   data-apiname="Functional_Equipment_Level__c">
                                                    {equipmentItem.item.Equipment__r.Functional_Equipment_Level__r.Name}</a>
                                            </template>
                                            <template if:true={equipmentItem.item.Equipment__r.Yard__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Yard__r.Id}
                                                   data-apiname="Yard__c">
                                                    {equipmentItem.item.Equipment__r.Yard__r.Name}</a>
                                            </template>
                                            <template if:true={equipmentItem.item.Equipment__r.System__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.System__r.Id}
                                                   data-apiname="System__c">
                                                    {equipmentItem.item.Equipment__r.System__r.Name}</a>
                                            </template>
                                            <template if:true={equipmentItem.item.Equipment__r.Sub_System__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Sub_System__r.Id}
                                                   data-apiname="Sub_System__c">
                                                    {equipmentItem.item.Equipment__r.Sub_System__r.Name}</a>
                                            </template>
                                        </td>

                                        <td>
                                            {equipmentItem.item.Equipment__r.Description_of_Equipment__c}
                                        </td>

                                        <td>
                                            {equipmentItem.item.Equipment__r.Manufacturer__c}
                                        </td>

                                        <td>
                                            {equipmentItem.item.Equipment__r.Model_Number__c}
                                        </td>

                                        <td>
                                            {equipmentItem.item.Equipment__r.Manufacturer_Serial_No__c}
                                        </td>

                                        <td>
                                            {equipmentItem.item.Equipment__r.Tag_Number__c}
                                        </td>

                                        <td>
                                            {equipmentItem.item.Tag_Colour__c}
                                        </td>

                                        <td>
                                            <template for:each={equipmentItem.files} for:item="file">
                                                <a onclick={openFilePreview}
                                                   key={file.Id}
                                                   data-id={file.ContentDocumentId}>{file.ContentDocument.Title}
                                                </a>
                                            </template>

                                            <template for:each={equipmentItem.attachments} for:item="attachment">
                                                <a onclick={redirectToRecordPage}
                                                   key={attachment.Id}
                                                   data-objecttype="Attachment"
                                                   data-id={attachment.Id}>{attachment.Name}
                                                </a>
                                            </template>

                                        </td>

                                    </tr>
                                </template>
                                </tbody>

                            </table>

                        </div>

                        <!--INFORMATION-->
                        <c-eqt_transfer_information-section transfer-form={transferForm}
                                                            is-new-form={isNewForm}
                                                            is-view={isView}
                                                            is-user-admin={isUserAdmin}
                                                            is-from-form={isFromForm}
                                                            from-floc-id={fromFlocId}
                                                            from-a-p-i-name={fromAPIName}
                                                            to-floc-id={toFlocId}
                                                            to-a-p-i-name={toAPIName}>
                        </c-eqt_transfer_information-section>


                        <!-- COMMENTS -->
                        <c-eqt_comments-section form={transferForm} is-user-admin={isUserAdmin}
                                                is-view={isView}></c-eqt_comments-section>

                        <!-- SYSTEM INFORMATION -->
                        <c-eqt_system-information-section equipment-form={transferForm}></c-eqt_system-information-section>

                    </template>

                    <template if:false={isView}>

                        <!-- SELECTED EQUIPMENT -->
                        <div class="slds-text-title_caps slds-section slds-p-around--small"
                             style="background-color:#f5f5f5"><b>Selected
                            Equipments</b>
                        </div>

                        <div class="slds-p-around--medium slds-align--absolute-center">
                            <lightning-button label="Select Equipment To Transfer"
                                              onclick={openEquipmentList}></lightning-button>
                        </div>

                        <div if:true={selectedEquipment} class="slds-p-top--small slds-p-bottom--small slds-scrollable">
                            <table class="slds-table slds-table_bordered slds-table_cell-buffer slds-no-row-hover">
                                <thead>
                                <tr class="slds-text-title_caps">
                                    <th scope="col">

                                    </th>
                                    <th scope="col">
                                        Equipment
                                    </th>
                                    <th scope="col">
                                        FLOC
                                    </th>
                                    <th scope="col">
                                        Description
                                    </th>
                                    <th scope="col">
                                        Manufacturer
                                    </th>
                                    <th scope="col">
                                        Model Number
                                    </th>
                                    <th scope="col">
                                        Manufacturer Serial No
                                    </th>
                                    <th scope="col">
                                        Tag Number
                                    </th>

                                    <th scope="col">
                                        Tag Colour
                                    </th>

                                    <th scope="col">
                                        File/Attachment
                                    </th>

                                </tr>
                                </thead>

                                <tbody>

                                <template for:each={selectedEquipment} for:item="equipmentItem" for:index="index">
                                    <tr class="slds-hint-parent" key={equipmentItem.item.Equipment__r.Id}>

                                        <th scope="row">
                                            <lightning-button-icon icon-name="utility:close"
                                                                   data-id={equipmentItem.item.Id}
                                                                   data-equipmentid={equipmentItem.item.Equipment__c}
                                                                   data-index={index}
                                                                   size="small"
                                                                   onclick={removeEquipmentOnEdit}>
                                            </lightning-button-icon>
                                        </th>

                                        <td>
                                            <a onclick={redirectToRecordPage}
                                               data-id={equipmentItem.item.Equipment__r.Id}
                                               data-apiname="Equipment__c">{equipmentItem.item.Equipment__r.Name}</a>
                                        </td>

                                        <td>
                                            <template if:true={equipmentItem.item.Equipment__r.Location__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Location__r.Id}
                                                   data-apiname="Location__c">{equipmentItem.item.Equipment__r.Location__r.Name}</a>
                                            </template>
                                            <template if:true={equipmentItem.item.Equipment__r.Facility__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Facility__r.Id}
                                                   data-apiname="Facility__c">{equipmentItem.item.Equipment__r.Facility__r.Name}</a>
                                            </template>
                                            <template if:true={equipmentItem.item.Equipment__r.Well_Event__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Well_Event__r.Id}
                                                   data-apiname="Well_Event__c">{equipmentItem.item.Equipment__r.Well_Event__r.Name}</a>
                                            </template>
                                            <template
                                                    if:true={equipmentItem.item.Equipment__r.Functional_Equipment_Level__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Functional_Equipment_Level__r.Id}
                                                   data-apiname="Functional_Equipment_Level__c">{equipmentItem.item.Equipment__r.Functional_Equipment_Level__r.Name}</a>
                                            </template>
                                            <template if:true={equipmentItem.item.Equipment__r.Yard__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Yard__r.Id}
                                                   data-apiname="Yard__c">{equipmentItem.item.Equipment__r.Yard__r.Name}</a>
                                            </template>
                                            <template if:true={equipmentItem.item.Equipment__r.System__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.System__r.Id}
                                                   data-apiname="System__c">{equipmentItem.item.Equipment__r.System__r.Name}</a>
                                            </template>
                                            <template if:true={equipmentItem.item.Equipment__r.Sub_System__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={equipmentItem.item.Equipment__r.Sub_System__r.Id}
                                                   data-apiname="Sub_System__c">{equipmentItem.item.Equipment__r.Sub_System__r.Name}</a>
                                            </template>
                                        </td>

                                        <td>
                                            {equipmentItem.item.Equipment__r.Description_of_Equipment__c}
                                        </td>

                                        <td>
                                            {equipmentItem.item.Equipment__r.Manufacturer__c}
                                        </td>

                                        <td>
                                            {equipmentItem.item.Equipment__r.Model_Number__c}
                                        </td>

                                        <td>
                                            {equipmentItem.item.Equipment__r.Manufacturer_Serial_No__c}
                                        </td>

                                        <td>
                                            {equipmentItem.item.Equipment__r.Tag_Number__c}
                                        </td>

                                        <td>
                                            <lightning-combobox
                                                    data-id={equipmentItem.item.Id}
                                                    data-index={index}
                                                    label=""
                                                    value={equipmentItem.item.Tag_Colour__c}
                                                    onchange={handleTagColourOnItem}
                                                    options={tagColourOptions}
                                                    required>
                                            </lightning-combobox>

                                        </td>

                                        <td>
                                            <template for:each={equipmentItem.files} for:item="file">
                                                <a onclick={openFilePreview}
                                                   key={file.Id}
                                                   data-objecttype="File"
                                                   data-id={file.ContentDocumentId}>{file.ContentDocument.Title}
                                                </a>
                                                <lightning-button-icon class="slds-p-left--medium"
                                                                       key={file.Id}
                                                                       onclick={removeFile}
                                                                       data-id={file.ContentDocumentId}
                                                                       data-index={index}
                                                                       data-objecttype="File"
                                                                       variant="bare"
                                                                       icon-name="utility:close"
                                                                       alternative-text="Remove"
                                                                       size="medium">
                                                </lightning-button-icon>
                                            </template>

                                            <template for:each={equipmentItem.attachments} for:item="attachment">
                                                <a onclick={redirectToRecordPage}
                                                   key={attachment.Id}
                                                   data-objecttype="Attachment"
                                                   data-id={attachment.Id}>{attachment.Name}
                                                </a>

                                                <lightning-button-icon class="slds-p-left--medium"
                                                                       key={attachment.Id}
                                                                       onclick={removeFile}
                                                                       data-id={attachment.Id}
                                                                       data-index={index}
                                                                       data-objecttype="Attachment"
                                                                       variant="bare"
                                                                       icon-name="utility:close"
                                                                       alternative-text="Remove"
                                                                       size="medium">
                                                </lightning-button-icon>

                                            </template>
                                            <!--<lightning-button-icon if:true={equipmentItem.hasAttachment}
                                                                   class="slds-p-left&#45;&#45;medium"
                                                                   onclick={removeFile}
                                                                   data-id={file.ContentDocumentId}
                                                                   data-index={index}
                                                                   data-objecttype="attachment"
                                                                   variant="bare"
                                                                   icon-name="utility:close"
                                                                   alternative-text="Remove"
                                                                   size="medium">
                                            </lightning-button-icon>-->

                                            <lightning-input if:false={equipmentItem.hasAttachment}
                                                             data-id={equipmentItem.item.Id}
                                                             data-index={index}
                                                             type="file"
                                                             label=""
                                                             onchange={handleFileUploadOnEdit}>
                                            </lightning-input>

                                            <template if:true={equipmentItem.fileName}>
                                                <p>{equipmentItem.fileName}</p>
                                            </template>

                                        </td>

                                    </tr>
                                </template>


                                <template for:each={equipmentForTransfer} for:item="selectedEquipment"
                                          for:index="index">
                                    <tr class="slds-hint-parent" key={selectedEquipment.equipment.Id}>

                                        <th scope="row">
                                            <lightning-button-icon icon-name="utility:close"
                                                                   data-id={selectedEquipment.equipment.Id}
                                                                   size="small"
                                                                   onclick={removeSelectedEquipment}>
                                            </lightning-button-icon>
                                        </th>

                                        <td>
                                            <a onclick={redirectToRecordPage}
                                               data-id={selectedEquipment.equipment.Id}
                                               data-apiname="Equipment__c">
                                                {selectedEquipment.equipment.Name}</a>
                                        </td>

                                        <td>
                                            <template if:true={selectedEquipment.equipment.Location__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={selectedEquipment.equipment.Location__r.Id}
                                                   data-apiname="Location__c">
                                                    {selectedEquipment.equipment.Location__r.Name}</a>
                                            </template>
                                            <template if:true={selectedEquipment.equipment.Facility__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={selectedEquipment.equipment.Facility__r.Id}
                                                   data-apiname="Facility__c">
                                                    {selectedEquipment.equipment.Facility__r.Name}</a>
                                            </template>
                                            <template if:true={selectedEquipment.equipment.Well_Event__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={selectedEquipment.equipment.Well_Event__r.Id}
                                                   data-apiname="Well_Event__c">
                                                    {selectedEquipment.equipment.Well_Event__r.Name}</a>
                                            </template>
                                            <template
                                                    if:true={selectedEquipment.equipment.Functional_Equipment_Level__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={selectedEquipment.equipment.Functional_Equipment_Level__r.Id}
                                                   data-apiname="Functional_Equipment_Level__c">
                                                    {selectedEquipment.equipment.Functional_Equipment_Level__r.Name}</a>
                                            </template>
                                            <template if:true={selectedEquipment.equipment.Yard__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={selectedEquipment.equipment.Yard__r.Id}
                                                   data-apiname="Yard__c">
                                                    {selectedEquipment.equipment.Yard__r.Name}</a>
                                            </template>
                                            <template if:true={selectedEquipment.equipment.System__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={selectedEquipment.equipment.System__r.Id}
                                                   data-apiname="System__c">
                                                    {selectedEquipment.equipment.System__r.Name}</a>
                                            </template>
                                            <template if:true={selectedEquipment.equipment.Sub_System__r}>
                                                <a onclick={redirectToRecordPage}
                                                   data-id={selectedEquipment.equipment.Sub_System__r.Id}
                                                   data-apiname="Sub_System__c">
                                                    {selectedEquipment.equipment.Sub_System__r.Name}</a>
                                            </template>
                                        </td>

                                        <td>
                                            {selectedEquipment.equipment.Description_of_Equipment__c}
                                        </td>

                                        <td>
                                            {selectedEquipment.equipment.Manufacturer__c}
                                        </td>

                                        <td>
                                            {selectedEquipment.equipment.Model_Number__c}
                                        </td>

                                        <td>
                                            {selectedEquipment.equipment.Manufacturer_Serial_No__c}
                                        </td>

                                        <td>
                                            {selectedEquipment.equipment.Tag_Number__c}
                                        </td>

                                        <td>
                                            <lightning-combobox
                                                    data-id={selectedEquipment.equipment.Id}
                                                    data-index={index}
                                                    label=""
                                                    value={selectedEquipment.equipment.tagColour}
                                                    onchange={handleTagColour}
                                                    options={tagColourOptions}
                                                    placeholder="--None--"
                                                    required>
                                            </lightning-combobox>
                                        </td>

                                        <td>
                                            <lightning-input
                                                    data-id={selectedEquipment.equipment.Id}
                                                    data-index={index}
                                                    type="file"
                                                    label=""
                                                    onchange={handleFileUpload}>
                                            </lightning-input>
                                            <template if:true={selectedEquipment.itemFile.fileName}>
                                                <p>{selectedEquipment.itemFile.fileName}</p>
                                            </template>
                                        </td>

                                    </tr>
                                </template>

                                </tbody>

                            </table>

                        </div>


                        <!--INFORMATION-->
                        <c-eqt_transfer_information-section transfer-form={transferForm}
                                                            original-form={endpointForm}
                                                            is-new-form={isNewForm}
                                                            is-view={isView}
                                                            is-user-admin={isUserAdmin}
                                                            is-from-form={isFromForm}
                                                            from-floc-id={fromFlocId}
                                                            from-a-p-i-name={fromAPIName}
                                                            to-floc-id={toFlocId}
                                                            transfer-destination={transferDestination}
                                                            to-a-p-i-name={toAPIName}>
                        </c-eqt_transfer_information-section>

                        <!--COMMENTS-->
                        <c-eqt_comments-section form={transferForm} is-user-admin={isUserAdmin} is-view={isView}
                                                original-comments={transferForm}></c-eqt_comments-section>


                        <div if:false={editModal} class="slds-p-around--medium slds-card slds-align--absolute-center slds-show_medium">
                            <lightning-button label="Submit" variant="brand" onclick={getUserInputs}></lightning-button>
                            <lightning-button label="Cancel" variant="neutral"
                                              onclick={cancelEditState}></lightning-button>
                        </div>

                        <!--SMALL DEVICES-->
                        <div if:false={editModal}
                             class="slds-p-around--medium slds-border--top slds-align--absolute-center slds-hide_medium">
                            <lightning-button label="Submit" variant="brand" onclick={getUserInputs}></lightning-button>
                            <lightning-button label="Cancel" variant="neutral"
                                              onclick={cancelEditState}></lightning-button>
                        </div>

                    </template>
                </div>
            </template>


        </template>

    </template>

    <template if:true={openModal}>
        <section class="slds-modal slds-fade-in-open slds-modal_large">
            <div class="slds-modal__container">
                <header class="slds-modal__header">
                    <button class="slds-button slds-button_icon slds-modal__close" title="Close"
                            onclick={closeEquipmentListModal}>
                        <lightning-icon icon-name="utility:close" size="medium">
                        </lightning-icon>
                        <span class="slds-assistive-text">Close</span>
                    </button>
                    <h2 class="slds-text-heading_medium slds-hyphenate">Add Equipment</h2>
                </header>
                <div class="slds-modal__content slds-p-around_medium">
                    <c-eqt_item_selection onselectedequipmentevent={handleSelectedEquipment} is-from-form={isFromForm}
                                          floc-id={flockId} selected-transfer-items={temporaryEquipmentIds}>
                    </c-eqt_item_selection>
                </div>
                <footer class="slds-modal__footer slds-text-align--left">
                    <lightning-button label="Submit" variant="brand"
                                      onclick={saveEquipmentSelection}></lightning-button>
                    <lightning-button label="Cancel" variant="neutral"
                                      onclick={closeEquipmentListModal}></lightning-button>
                </footer>
            </div>
        </section>
        <div class="slds-backdrop slds-backdrop_open"></div>
    </template>

</template>